#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, k, b, i=0;
    cin >> n >> k;
    int m[n];
    vector<int> z;
    for(int l=0; l<n; l++)
    {
        cin >> m[l];
        i++;
    }
    for(int l=0; l<i; l++)
    {
        b=0;
        for(int j=l+1; j<i; j++)
        {
            if(m[j]==m[l])
                b++;
        }
        if(b>=k)
            z.push_back(m[l]);
    }
    int g=z.size();
    for(int l=0; l<g; l++)
        cout << z[l];
    return 0;
}